org.apache.tapestry5.ioc.internal.services

## Class StaticObjectProvider<S>

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.StaticObjectProvider<S>

- All Implemented Interfaces:
    ObjectProvider

      public class StaticObjectProvider<S>
      extends Object
      implements ObjectProvider

  Provides a single object of a given type.
  Since:
    5.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticObjectProvider(Class<S> valueType, S value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `provide(Class<T> objectType, AnnotationProvider annotationProvider, ObjectLocator locator)` Provides an object based on an expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticObjectProvider

          public StaticObjectProvider(Class<S> valueType,
                                      S value)

  - ### Method Detail

    - #### provide

          public <T> T provide(Class<T> objectType,
                               AnnotationProvider annotationProvider,
                               ObjectLocator locator)

      Description copied from interface: `ObjectProvider`
      Provides an object based on an expression. The process of providing objects occurs within a particular context, which will typically be a service builder method, service contributor method, or service decorator method. The locator parameter provides access to the services visible to that context.
      Specified by:
        `provide` in interface `ObjectProvider`
      Parameters:
        `objectType` - the expected object type
        `annotationProvider` - provides access to annotations (typically, the field or parameter to which an injection-related annotation is attached); annotations on the field or parameter may also be used when resolving the desired object
        `locator` - locator for the context in which the provider is being used
      Returns:
        the requested object, or null if this object provider can not supply an object

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.